| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
wxIdManager Class Reference
Application and System configuration

`#include <wx/windowid.h>`

## Detailed Description

wxIdManager is responsible for allocating and releasing window IDs.

It is used by wxWindow::NewControlId() and wxWindow::UnreserveControlId(), and can also be used be used directly.

##

Library: wxCore
Category: Application and System configuration

See Also
  wxWindow::NewControlId(), wxWindow::UnreserveControlId(), Window IDs

## Static Public Member Functions

static wxWindowID | ReserveId (int count=1)
| Called directly by wxWindow::NewControlId(), this function will create a new ID or range of IDs.
static void | UnreserveId (wxWindowID id, int count=1)
| Called directly by wxWindow::UnreserveControlId(), this function will unreserve an ID or range of IDs that is currently reserved.

## Member Function Documentation

static wxWindowID wxIdManager::ReserveId | ( | int | count = `1` | ) |

static

Called directly by wxWindow::NewControlId(), this function will create a new ID or range of IDs.

The IDs will be reserved until assigned to a wxWindowIDRef() or unreserved with UnreserveControlId(). Only ID values that are not assigned to a wxWindowIDRef() need to be unreserved.

Parameters

  count | The number of sequential IDs to reserve.

Returns
  The value of the first ID in the sequence, or wxID_NONE.

static void wxIdManager::UnreserveId | ( | wxWindowID | id,
|  | int | count = `1`
| ) |  |

static

Called directly by wxWindow::UnreserveControlId(), this function will unreserve an ID or range of IDs that is currently reserved.

This should only be called for IDs returned by ReserveControlId() that have NOT been assigned to a wxWindowIDRef (see Window IDs).

Parameters

  id | The first of the range of IDs to unreserve.
  count | The number of sequential IDs to unreserve.

Returns
  The value of the first ID in the sequence, or wxID_NONE.